<?php
namespace Joson\Rest\Domain\Model;

/*
 * This file is part of the Joson.Rest package.
 */

use Doctrine\ORM\Mapping as ORM;
use TYPO3\Flow\Annotations as Flow;

/**
 * @Flow\Entity
 */
class RealUsers {

	/**
	 * @ORM\Id
	 * @ORM\GeneratedValue
	 * @ORM\Column(type="integer")
	 * @var integer
	 */
	protected $id;

	/**
	 * @ORM\Column(name="realuser_username")
	 * @var string
	 */
	protected $username = "";

	/**
	 * @ORM\Column(name="realuser_password")
	 * @var string
	 */
	protected $password = "";

  /**
  * @ORM\Column(name="realuser_token")
  * @var string
  */
  protected $token ="";

	/**
	 * @var \TYPO3\Flow\Security\Account
	 * @ORM\OneToOne(cascade={"persist", "remove"})
	 * @ORM\JoinColumns({@ORM\JoinColumn(name="realuser_account_id", referencedColumnName="id", nullable=true)})
	 */
	protected $userAccount = NULL;

	/**
	 * Get the value of $id
	 * @return integer
	 */
	public function getId() {
		return $this->id;
	}

	/**
	 * Get the value of  $username
	 * @return string
	 */
	public function getUsername() {
		return $this->username;
	}

	/**
	 * set the value of $username
	 * @param string $username
	 * @return void
	 */
	public function setUsername($username = "") {
		$this->username = $username;
	}

	/**
	 * Get the value of $password
	 * @return string
	 */
	public function getPassword() {
		return $this->password;
	}

	/**
	 * Set the value of $password
	 * @param string $password
	 * @return void
	 */
	public function setPassword($password = "") {
		$this->password = $password;
	}

	/**
	 * Get value of $userAccount
	 * @return \TYPO3\Flow\Security\Account
	 */
	public function getUserAccount() {
		return $this->userAccount;
	}

	/**
	 * Set the value of $userAccount
	 * @param \TYPO3\Flow\Security\Account $userAccount
	 * @return void
	 */
	public function setUserAccount($userAccount = NULL) {
		$this->userAccount = $userAccount;
	}

  /**
  * Get the value of $token
  * @return string
  */
  public function getToken() {
    return $this->token;
  }

  /**
  * Set the value of $token
  * @param string $token
  * @return void 
  */
  public function setToken($token="") {
    $this->token = $token;
  }

}
