<?php
namespace Joson\Rest\Domain\Model;

/*
 * This file is part of the Joson.Rest package.
 */

 use TYPO3\Flow\Annotations as Flow;
 use Doctrine\ORM\Mapping as ORM;

/**
 * @Flow\Entity
 */
class User {

  /**
  * @ORM\Id
  * @ORM\GeneratedValue
  * @ORM\Column(name="user_id")
  * @var integer
  */
  protected $id;

  /**
  * @ORM\Column(name="user_name")
  * @var string
  */
  protected $name="";

  /**
  * @ORM\Column(name="user_age")
  * @var integer
  */
  protected $age = 0;

  /**
  * Get the value of $id
  * @return integer
  */
  public function getId() {
    return $this->id;
  }

  /**
  * Get the value of $name
  * @return string
  */
  public function getName() {
    return $this->name;
  }

  /**
  * sets the value of $name
  * @param string $name
  * @return void
  */
  public function setName($name="") {
    $this->name = $name;
  }

  /**
  * Gets the value of $age
  * @return integer
  */
  public function getAge() {
    return $this->age;
  }

  /**
  * Sets the value of $age
  * @return void
  */
  public function setAge($age=0) {
    $this->age = $age;
  }

}
